/// <amd-module name="@dataform/grpc-web-proxy" />
export interface IGrpcWebProxyOptions {
    backend: string;
    port: number;
    secure?: "fake-https" | "insecure" | {
        key: string;
        cert: string;
    };
}
export declare class GrpcWebProxy {
    private webServer;
    private grpcClient;
    constructor(options: IGrpcWebProxyOptions);
    private connectAndKeepAlive;
    private handleGrpcWebRequest;
}
